package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.auto.AutoSignCountPty;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AutoSignCountPtyMapper {
    AutoSignCountPty selectOneByVo(@Param("vo") AutoSignCountPty autoSignCountPty);
    /**
     * 插入数据
     *
     * @param autoSignCountPty 入参
     * @return int 返回结果
     */
    int insert(@Param("vo") AutoSignCountPty autoSignCountPty);

    /**
     * 更新数据
     *
     * @param autoSignCountPty 入参
     * @return int 返回结果
     */
    int update(@Param("vo") AutoSignCountPty autoSignCountPty);
    
    AutoSignCountPty selectOneByInr(@Param("inr") String inr);

    List<AutoSignCountPty> selectList(@Param("vo") AutoSignCountPty autoSignCountPty);

    int deleteByIds(List<String> inrList);

    int deleteBySigninfoinrs(List<String> inrList);

    int deleteByPrimaryKey(@Param("inr") String inr);

    int deleteBySigninfoinr(@Param("signinfoinr") String signinfoinr);
}
